﻿using System;
using GrpcWizardLibrary;
using BlazorGrpcGenerated.Shared.Models;
using BlazorGrpcGenerated.Server.Data;
using System.Threading.Tasks;

namespace GrpcGenerator
{
    class Program
    {
        static async Task Main(string[] args)
        {
            string OutputFolder = @"c:\users\carlf\desktop\Output\";
            var ServiceType = typeof(PeopleService);

            Console.Write("Generating...");
            string result = await GrpcWizard.GenerateGrpcInfrastructure(ServiceType,
                "BlazorGrpcGenerated.Shared.Models",
                "People",
                "people.proto", OutputFolder);
            Console.WriteLine();
            Console.WriteLine(result);
        }
    }
}
