using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Google.Protobuf;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Shared.Models
{
    public static class GetAllPeopleRequestConverter
    {
        public static List<Grpc_GetAllPeopleRequest> FromGetAllPeopleRequestList(List<GetAllPeopleRequest> list)
        {
            var result = new List<Grpc_GetAllPeopleRequest>();
            foreach (var item in list)
            {
                result.Add(FromGetAllPeopleRequest(item));
            }
            return result;
        }

        public static List<GetAllPeopleRequest> FromGrpc_GetAllPeopleRequestList(List<Grpc_GetAllPeopleRequest> list)
        {
            var result = new List<GetAllPeopleRequest>();
            foreach (var item in list)
            {
                result.Add(FromGrpc_GetAllPeopleRequest(item));
            }
            return result;
        }

        public static Grpc_GetAllPeopleRequest FromGetAllPeopleRequest(GetAllPeopleRequest item)
        {
            var result = new Grpc_GetAllPeopleRequest();
            return result;
        }


        public static GetAllPeopleRequest FromGrpc_GetAllPeopleRequest(Grpc_GetAllPeopleRequest item)
        {
            var result = new GetAllPeopleRequest();
            return result;
        }

    }
}
