using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Google.Protobuf;
using BlazorGrpcGenerated.Shared.Models;

namespace BlazorGrpcGenerated.Shared.Models
{
    public static class GetPersonByIdRequestConverter
    {
        public static List<Grpc_GetPersonByIdRequest> FromGetPersonByIdRequestList(List<GetPersonByIdRequest> list)
        {
            var result = new List<Grpc_GetPersonByIdRequest>();
            foreach (var item in list)
            {
                result.Add(FromGetPersonByIdRequest(item));
            }
            return result;
        }

        public static List<GetPersonByIdRequest> FromGrpc_GetPersonByIdRequestList(List<Grpc_GetPersonByIdRequest> list)
        {
            var result = new List<GetPersonByIdRequest>();
            foreach (var item in list)
            {
                result.Add(FromGrpc_GetPersonByIdRequest(item));
            }
            return result;
        }

        public static Grpc_GetPersonByIdRequest FromGetPersonByIdRequest(GetPersonByIdRequest item)
        {
            var result = new Grpc_GetPersonByIdRequest();
            result.Id = item.Id;
            return result;
        }


        public static GetPersonByIdRequest FromGrpc_GetPersonByIdRequest(Grpc_GetPersonByIdRequest item)
        {
            var result = new GetPersonByIdRequest();
            result.Id = item.Id;
            return result;
        }

    }
}
